# Contributing

To contribute to the project, please follow these steps:

1. Get approval for the idea by filing an issue and talking with me about the changes
2. Fork the repo
3. Make a branch for your change
4. Run `npm install`
5. Run `npm run test`
6. Make your changes
7. Test your changes
8. Run `npm run build` to generate the dist files
9. Run `git add -A` to add your changes
10. Run `npm run commit` (**Do not** use `git commit`) - follow the prompts to create your git message
11. Push your changes with `git push`
12. Create the Pull Request (a demo showing what the PR does is always good so you can fork [this fiddle](http://jsfiddle.net/cwhgLcjv/))
13. If there are several commits, please [rebase](https://github.com/edx/edx-platform/wiki/How-to-Rebase-a-Pull-Request) and [squash](https://github.com/edx/edx-platform/wiki/How-to-Rebase-a-Pull-Request#squash-your-changes) everything to only get one commit.
14. Get merged and celebrate
